Name:           NaturalDocs
Version:        1.4
Release:        2%{?dist}
Summary:        Documentation generator for multiple programming languages

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.naturaldocs.org/
Source0:        http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip
Patch0:         NaturalDocs-1.4-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  dos2unix
Requires:       perl(:MODULE_COMPAT_%(eval $(%{__perl} -V:version); echo $version))

%description
Natural Docs is an open-source documentation generator for multiple
programming languages.  You document your code in a natural syntax that
reads like plain English.  Natural Docs then scans your code and builds
high-quality HTML documentation from it.


%prep
%setup -q -c
%patch0 -p0


%build
# There's a couple of files with DOS line endings
find . -type f -exec dos2unix -q -k '{}' \;

# And one non-UTF8 one
iconv -f ISO-8859-1 -t UTF-8 Help/example/Default.css >Help/example/Default.css.utf8
touch --reference Help/example/Default.css Help/example/Default.css.utf8
mv Help/example/Default.css.utf8 Help/example/Default.css


%install
rm -rf $RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/NaturalDocs
install -d $RPM_BUILD_ROOT%{_sysconfdir}/NaturalDocs
install -d $RPM_BUILD_ROOT%{perl_vendorlib}
install -d $RPM_BUILD_ROOT%{_bindir}

# Copy files
cp -rp Info JavaScript Styles $RPM_BUILD_ROOT%{_datadir}/NaturalDocs
cp -rp Modules/* $RPM_BUILD_ROOT%{perl_vendorlib}
cp -rp Config/* $RPM_BUILD_ROOT%{_sysconfdir}/NaturalDocs
install -pm 755 NaturalDocs $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/NaturalDocs
%config(noreplace) %{_sysconfdir}/NaturalDocs
%{perl_vendorlib}/*
%{_bindir}/NaturalDocs
%doc License-GPL.txt
%doc Help/*


%changelog
* Mon Jul 07 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.4-2
- Add the forgotten Styles directory

* Fri Jul 04 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.4-1
- Initial packaging attempt
